//----------------------------------------------------------------------------

//Sine wave generator SG-642
//  : header file

//----------------------------------------------------------------------------

#ifndef ControlH
#define ControlH

//----------------------------- : -----------------------------------

#define MIN_F      100 //  , 0.001 
#define NOM_F  1000000 //  , 0.001 
#define MAX_F 50000000 //  , 0.001 

#define MIN_P    -3600 //  , 0.1
#define NOM_P        0 //  , 0.1
#define MAX_P     3600 //  , 0.1

#define MIN_A        0 //  , 0.1 
#define NOM_A    10000 //  , 0.1 
#define MAX_A   100000 //  , 0.1 

#define ATT_OFF      0 // 
#define ATT_40DB     1 // -40 
#define ATT_20DB    10 // -20 
#define ATT_0DB    100 // 0 

#define MIN_CALIB -999 //  
#define NOM_CALIB    0 //  
#define MAX_CALIB  999 //  

#define MAX_DAC 100000 //   

//--------------------------  : ------------------------------

void Control_Init(void);             // 
void Control_ReadCal(void);          //   EEPROM
void Control_SaveCal(void);          //   EEPROM
void Control_SetK(int k, char s);    //  
int  Control_GetK(char s);           //  
void Control_SetS(char ch, char s);  // 
void Control_SetF(char ch, long f);  // 
void Control_SetP(char ch, int p);   //  
void Control_SetA(char ch, long a);  // 
void Control_SetR(char ch, char r);  // 

//----------------------------------------------------------------------------

#endif
