//----------------------------------------------------------------------------

//Sine wave generator SG-642
//  : header file

//----------------------------------------------------------------------------

#ifndef MenuH
#define MenuH

//--------------------------- : -------------------------------------

//  

enum { OUT_A,        //  OUT A
       OUT_B,        //  OUT B
       CALIB,        //  
       SETUP };      //  

#define OUTS  (OUT_B + 1)  // 

//  OUTS:

enum { PAR_M,        //mode -   
       PAR_S,        //shape -   
       PAR_F,        //frequency - 
       PAR_P,        //phase - 
       PAR_A,        //amplitude -   
       PAR_R,        //attenuator - 
       POUTS_MAX };  // 

//  PAR_M:

enum { MD_SPLIT,     // 
       MD_COMBO };   //     
       
//  PAR_S:

enum { SH_S,         //
       SH_M };       //

//  PAR_R:

enum { REL_OFF,      //  
       REL_40DB,     //  -40dB
       REL_20DB,     //  -20dB
       REL_0DB };    //  0dB

#define REL_AUTO -1  //   

//  :

enum { CAL_F,       //calib. frequency
       CAL_A,       //calib. amplitude A
       CAL_B,       //calib. amplitude B
       CAL_S,       //save calib.
       CAL_E,       //exit calib.
       CAL_MAX };

//   1:

enum { SERV1_SM,      //sound mode
       SERV1_RP,      //read preset
       SERV1_SP,      //save preset
       SERV1_CA,      //calibration
       SERV1_P2,      //page 2
       SERV1_MAX };

//   2:

enum { SERV2_P1,      //page 1
       SERV2_LA,      //level A
       SERV2_LB,      //level B
       SERV2_SI,      //show info
       SERV2_EX,      //exit
       SERV2_MAX };

//  SETUP:

enum { SAVE_P,       //   EEPROM
       READ_P,       //   EEPROM
       LCD_C,        //  LCD
       SAVE_S,       //   EEPROM
       UNITS_A,      //   A
       UNITS_B,      //   B
       PSETUP_MAX };

//  SERV2_UA, SERV2_UB (UNITS_A, UNITS_B):

enum { UN_AMP,       //amplitude
       UN_RMS };     //RMS

#define DRAW  0x80   //draw bit
#define BEEP  0x40   //beep bit

//--------------------------  : ------------------------------

void Menu_Init(void);       //  
void Menu_Exe(bool t);      // 
void Menu_SetLock(bool b);  //  
bool Menu_GetLock(void);    //   
void Menu_SetPar(char ch, char par, long v); // 
long Menu_GetPar(char ch, char par); // 
char Menu_GetSelPar(void);  //   
char Menu_GetSelChan(void); //   

//----------------------------------------------------------------------------

#endif

