;----------------------------------------------------------------------------

;SG-642 header file

;----------------------------------------------------------------------------

;Constantes:

.equ	F_CLK	= 20000000	;Fclk, Hz

;----------------------------------------------------------------------------

;Derivated constantes:

.equ MAXBYTE = 0xFF
.equ MAXWORD = 0xFFFF

;----------------------------------------------------------------------------

.DSEG	;Data segment

;----------------------------------------------------------------------------

;Ports Definitions:
;Port B:

.equ	DIRB	= 0b11111111	;Port B direction
.equ	PUPB	= 0b00000000	;Port B pull-ups
;.equ		= PB0		;
;.equ		= PB1		;
.equ	I2SWS	= PB2		;I2S WS
.equ	I2SDATA	= PB3		;I2S DATA
;.equ		= PB4		;
.equ	I2SBCK	= PB5		;I2S BCK

;Port C:

.equ	DIRC	= 0b11111111	;Port C direction
.equ	PUPC	= 0b00000000	;Port C pull-ups

;.equ		= PC0		;
;.equ		= PC1		;
;.equ		= PC2		;
;.equ		= PC3		;
;.equ		= PC4		;
;.equ		= PC5		;

;Port D:

.equ	DIRD	= 0b11111110	;Port D direction
.equ	PUPD	= 0b00000011	;Port D pull-ups
.equ	CRXD	= PD0		;Co-processor RXD
.equ	CTXD	= PD1		;Co-processor TXD
.equ	CINT	= PD2		;Co-processor INT
;.equ		= PD3		;
;.equ		= PD4		;
.equ	SQRB	= PD5		;SQRB
.equ	SQRA	= PD6		;SQRA
;.equ		= PD7		;

.macro	Port_CINT_0		;CINT = 0
	cbi	PORTD,CINT
.endm

.macro	Port_CINT_1		;CINT = 1
	sbi	PORTD,CINT
.endm

.macro	Port_CINT_CPL		;CINT = !CINT
	sbi	PIND,CINT
.endm

.macro	Port_SQRA_0		;SQRA = 0
	cbi	PORTD,SQRA
.endm

.macro	Port_SQRA_1		;SQRA = 1
	sbi	PORTD,SQRA
.endm

.macro	Port_SQRB_0		;SQRB = 0
	cbi	PORTD,SQRB
.endm

.macro	Port_SQRB_1		;SQRB = 1
	sbi	PORTD,SQRB
.endm

;----------------------------------------------------------------------------

;Global Register Variables:

;* - used in OC1A interrupt
;r0, r1 * used with mul instruction

.def	tsreg	= r2		;* SREG store

.def	APhaseK	= r3		;* L phase code
.def	APhaseL	= r4		;*
.def	APhaseM	= r5		;*
.def	APhaseN	= r6		;*
.def	APhaseP	= r7		;*

.def	BPhaseK	= r8		;* R phase code
.def	BPhaseL	= r9		;*
.def	BPhaseM	= r10		;*
.def	BPhaseN	= r11		;*
.def	BPhaseP	= r12		;*

.def	AFreqK	= r13		;* L frequency code (delta phase)
.def	AFreqL	= r14		;*
.def	AFreqM	= r15		;*
.def	AFreqN	= r16		;*

.def	BFreqK	= r17		;* R frequency code (delta phase)
.def	BFreqL	= r18		;*
.def	BFreqM	= r19		;*
.def	BFreqN	= r20		;*

.def	SinL	= r21		;* amplitude code
.def	SinH	= r22		;*

.def	zero	= r23		;* register with zero value

.def	temp	= r24		;temporary register temp
.def	cnt	= r25		;temporary register Cnt

;r26,r27 used as X-register
;r28,r29 used as Y-register
;r30,r31 * used as Z-register

;----------------------------------------------------------------------------
